Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.jpdl.el.impl
Class Constants

    java.lang.Object
      org.jbpm.jpdl.el.impl.Constants

    public class Constants

extends java.lang.Object

This contains all of the non-public constants, including messsage strings read from the resource file.

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author$
Author:
  Nathan Abramson - Art Technology Group, Shawn Bayern

Field Summary
`static java.lang.String` | `ARITH_ERROR`
`static java.lang.String` | `ARITH_OP_BAD_TYPE`
`static java.lang.String` | `ARITH_OP_NULL`
`static java.lang.String` | `ATTRIBUTE_EVALUATION_EXCEPTION`
`static java.lang.String` | `ATTRIBUTE_PARSE_EXCEPTION`
`static java.lang.String` | `BAD_IMPLICIT_OBJECT`
`static java.lang.String` | `BAD_INDEX_VALUE`
`static java.lang.String` | `BOOLEAN_TO_CHARACTER`
`static java.lang.String` | `BOOLEAN_TO_NUMBER`
`static java.lang.String` | `CANT_FIND_INDEX`
`static java.lang.String` | `CANT_GET_INDEXED_PROPERTY`
`static java.lang.String` | `CANT_GET_INDEXED_VALUE_OF_NULL`
`static java.lang.String` | `CANT_GET_NULL_INDEX`
`static java.lang.String` | `CANT_GET_PROPERTY_OF_NULL`
`static java.lang.String` | `COERCE_TO_BOOLEAN`
`static java.lang.String` | `COERCE_TO_CHARACTER`
`static java.lang.String` | `COERCE_TO_NUMBER`
`static java.lang.String` | `COERCE_TO_OBJECT`
`static java.lang.String` | `COMPARABLE_ERROR`
`static java.lang.String` | `EMPTY_STRING_TO_CHARACTER`
`static java.lang.String` | `ERROR_GETTING_PROPERTY`
`static java.lang.String` | `ERROR_IN_EQUALS`
`static java.lang.String` | `ERROR_INVOKING_METHOD`
`static java.lang.String` | `EXCEPTION_ACCESSING_ARRAY`
`static java.lang.String` | `EXCEPTION_ACCESSING_LIST`
`static java.lang.String` | `EXCEPTION_GETTING_BEANINFO`
`static java.lang.String` | `FUNCTION_INVOCATION_ERROR`
`static java.lang.String` | `INAPPROPRIATE_FUNCTION_ARG_COUNT`
`static java.lang.String` | `NAMED_VALUE_NOT_FOUND`
`static java.lang.String` | `NO_GETTER_METHOD`
`static java.lang.String` | `NO_PROPERTY_EDITOR`
`static java.lang.String` | `NO_SUCH_PROPERTY`
`static java.lang.String` | `NULL_EXPRESSION_STRING`
`static java.lang.String` | `NULL_INDEX`
`static java.lang.String` | `NULL_TO_BOOLEAN`
`static java.lang.String` | `PARSE_EXCEPTION`
`static java.lang.String` | `PROPERTY_EDITOR_ERROR`
`static java.lang.String` | `STRING_TO_BOOLEAN`
`static java.lang.String` | `STRING_TO_NUMBER_EXCEPTION`
`static java.lang.String` | `TOSTRING_EXCEPTION`
`static java.lang.String` | `UNARY_OP_BAD_TYPE`
`static java.lang.String` | `UNKNOWN_FUNCTION`

Constructor Summary
`Constants()`

Method Summary
`static java.lang.String` | `getStringResource(java.lang.String pResourceName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXCEPTION_GETTING_BEANINFO

    public static final java.lang.String EXCEPTION_GETTING_BEANINFO

### NULL_EXPRESSION_STRING

    public static final java.lang.String NULL_EXPRESSION_STRING

### PARSE_EXCEPTION

    public static final java.lang.String PARSE_EXCEPTION

### CANT_GET_PROPERTY_OF_NULL

    public static final java.lang.String CANT_GET_PROPERTY_OF_NULL

### NO_SUCH_PROPERTY

    public static final java.lang.String NO_SUCH_PROPERTY

### NO_GETTER_METHOD

    public static final java.lang.String NO_GETTER_METHOD

### ERROR_GETTING_PROPERTY

    public static final java.lang.String ERROR_GETTING_PROPERTY

### ERROR_INVOKING_METHOD

    public static final java.lang.String ERROR_INVOKING_METHOD

### CANT_GET_INDEXED_VALUE_OF_NULL

    public static final java.lang.String CANT_GET_INDEXED_VALUE_OF_NULL

### CANT_GET_NULL_INDEX

    public static final java.lang.String CANT_GET_NULL_INDEX

### NULL_INDEX

    public static final java.lang.String NULL_INDEX

### BAD_INDEX_VALUE

    public static final java.lang.String BAD_INDEX_VALUE

### EXCEPTION_ACCESSING_LIST

    public static final java.lang.String EXCEPTION_ACCESSING_LIST

### EXCEPTION_ACCESSING_ARRAY

    public static final java.lang.String EXCEPTION_ACCESSING_ARRAY

### CANT_FIND_INDEX

    public static final java.lang.String CANT_FIND_INDEX

### TOSTRING_EXCEPTION

    public static final java.lang.String TOSTRING_EXCEPTION

### BOOLEAN_TO_NUMBER

    public static final java.lang.String BOOLEAN_TO_NUMBER

### STRING_TO_NUMBER_EXCEPTION

    public static final java.lang.String STRING_TO_NUMBER_EXCEPTION

### COERCE_TO_NUMBER

    public static final java.lang.String COERCE_TO_NUMBER

### BOOLEAN_TO_CHARACTER

    public static final java.lang.String BOOLEAN_TO_CHARACTER

### EMPTY_STRING_TO_CHARACTER

    public static final java.lang.String EMPTY_STRING_TO_CHARACTER

### COERCE_TO_CHARACTER

    public static final java.lang.String COERCE_TO_CHARACTER

### NULL_TO_BOOLEAN

    public static final java.lang.String NULL_TO_BOOLEAN

### STRING_TO_BOOLEAN

    public static final java.lang.String STRING_TO_BOOLEAN

### COERCE_TO_BOOLEAN

    public static final java.lang.String COERCE_TO_BOOLEAN

### COERCE_TO_OBJECT

    public static final java.lang.String COERCE_TO_OBJECT

### NO_PROPERTY_EDITOR

    public static final java.lang.String NO_PROPERTY_EDITOR

### PROPERTY_EDITOR_ERROR

    public static final java.lang.String PROPERTY_EDITOR_ERROR

### ARITH_OP_NULL

    public static final java.lang.String ARITH_OP_NULL

### ARITH_OP_BAD_TYPE

    public static final java.lang.String ARITH_OP_BAD_TYPE

### ARITH_ERROR

    public static final java.lang.String ARITH_ERROR

### ERROR_IN_EQUALS

    public static final java.lang.String ERROR_IN_EQUALS

### UNARY_OP_BAD_TYPE

    public static final java.lang.String UNARY_OP_BAD_TYPE

### NAMED_VALUE_NOT_FOUND

    public static final java.lang.String NAMED_VALUE_NOT_FOUND

### CANT_GET_INDEXED_PROPERTY

    public static final java.lang.String CANT_GET_INDEXED_PROPERTY

### COMPARABLE_ERROR

    public static final java.lang.String COMPARABLE_ERROR

### BAD_IMPLICIT_OBJECT

    public static final java.lang.String BAD_IMPLICIT_OBJECT

### ATTRIBUTE_EVALUATION_EXCEPTION

    public static final java.lang.String ATTRIBUTE_EVALUATION_EXCEPTION

### ATTRIBUTE_PARSE_EXCEPTION

    public static final java.lang.String ATTRIBUTE_PARSE_EXCEPTION

### UNKNOWN_FUNCTION

    public static final java.lang.String UNKNOWN_FUNCTION

### INAPPROPRIATE_FUNCTION_ARG_COUNT

    public static final java.lang.String INAPPROPRIATE_FUNCTION_ARG_COUNT

### FUNCTION_INVOCATION_ERROR

    public static final java.lang.String FUNCTION_INVOCATION_ERROR

Constructor Detail

### Constants

    public Constants()

Method Detail

### getStringResource

    public static java.lang.String getStringResource(java.lang.String pResourceName)
                                              throws java.util.MissingResourceException

  Throws:
    `java.util.MissingResourceException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD